Error in building l4linux-2.6-env

Adam Lackorzynski adam at
Tue Jul 12 18:42:50 CEST 2005

On Tue Jul 12, 2005 at 10:09:26 -0600, Wang, Chip wrote:
> After skipped building fprov-l4 and kill-l4 in l4/pkg/loader/examples,
> I managed to get a little further.
> This time my make failed at l4/pkg/dde for conflicting function
> prototypes. It appears the make was using Linux 2.4 header files while
> building for 2.6

This is actually correct as dde_linux is for Linux2.4. The compiler
error appears with more recent compiler versions, and I have now finally
fixed it internally. Should be in our public CVS by tomorrow.

On the other side, how did it come that you checked out dde? You don't
need it to get L4Linux going.

Adam                 adam at

More information about the l4-hackers mailing list